Subject: Re: Board names for 4xx

From: David Gibson <[email-masked]>
Date: Tue, 18 Sep 2001 10:35:30 +1000

On Mon, Sep 17, 2001 at 11:33:45AM -0700, Tom Rini wrote:
>
> On Mon, Sep 17, 2001 at 06:11:56PM +0200, Kenneth Johansson wrote:
> > Dan Malek wrote:
> > >
> > > Tom Rini wrote:
> > >
> > > > I do wish someone else would speak up tho.  Does anyone out there have an
> > > > opinion?
> > >
> > > If the information from /proc is just used for pretty print out of
> > > information, I really don't care.  If there are applications that read
> > > this for some internal configuration and flexibility, we better have a
> > > standard format.
> > Debian uses /proc/cpuinfo to find out what utility to use for the RTC
> > (clock,hwclock). This could be fixed if the code from clock was integrated in
> > hwclock. hwclock tries every method it knows until one works.
>
> This is no longer true.  Woody anyways assumes that /dev/rtc will work in
> the 'standard' way.  But,, debian does parse for machien type for doing
> board/platform specific modules.

Yes, but last I checked the util-linux install script would still die
if the machine: field wasn't present at all.  IIRC it was checking for
PReP machines for some reason.

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.  -- H.L. Mencken
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/